https://bugzilla.wikimedia.org/show_bug.cgi?id=62503

            Bug ID: 62503
           Summary: __DIR__ incompatible with PHP 5.2.17
           Product: MediaWiki extensions
           Version: REL1_19 branch
          Hardware: All
                OS: All
            Status: UNCONFIRMED
          Severity: critical
          Priority: Unprioritized
         Component: Gadgets
          Assignee: wikibugs-l@lists.wikimedia.org
          Reporter: maxne...@cs.umn.edu
                CC: krinklem...@gmail.com, maxne...@cs.umn.edu,
                    roan.katt...@gmail.com
       Web browser: ---
   Mobile Platform: ---

+++ This bug was initially created as a clone of Bug #62486 +++

The Compatibility ( http://www.mediawiki.org/wiki/Compatibility ) page states
that MediaWiki 1.19.x branch is compatible with PHP 5.2.3+

The core extensions ConfirmEdit, Gadgets and Renameuser use the __DIR__ magic
constant that is available in PHP 5.3.0+ only.

Had to use the following command as a temporary fix:

    find . -type f -exec sed -i 's/__DIR__/dirname(__FILE__)/g' {} \;

-- 
You are receiving this mail because:
You are the assignee for the bug.
You are on the CC list for the bug.
_______________________________________________
Wikibugs-l mailing list
Wikibugs-l@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/wikibugs-l

Reply via email to